var https = require('https');

var fs = require('fs');

var https_options = {

  key: fs.readFileSync("/home/swaglivin/public_html/ssl/private.key"),

  cert: fs.readFileSync("/home/swaglivin/public_html/ssl/public.crt"),

  ca: [

          fs.readFileSync('/home/swaglivin/public_html/ssl/ca_bundle.crt'),

          fs.readFileSync('/home/swaglivin/public_html/ssl/ca_bundle.crt')

       ]
};

https.createServer(https_options, function (req, res) {

 res.writeHead(200);

 res.end("Welcome to Node.js HTTPS Servern");

}).listen(9000)